#ifndef PINOUT_H
#define PINOUT_H

/* Fan-related pins */

#define FAN_PORT         GPIOB

#define FAN_PWM_PIN      GPIO3
//#define FAN_TACHO_PIN    GPIO3

/* DC/DC control pins */

#define DCDC_PORT        GPIOA

#define DCDC_EN_PIN                 GPIO8

#define DCDC_CTRL_FB0_PIN           GPIO7
#define DCDC_CTRL_FB1_PIN           GPIO6
#define DCDC_CTRL_FB2_PIN           GPIO5
#define DCDC_CTRL_FB3_PIN           GPIO4

#define DCDC_BYPASS_SWITCH_PIN      GPIO9

/* Analog channels */

#define ANALOG_INPUT_U_NTC          0

/* UART */

#define UART_PORT        GPIOA

#define UART_TX_PIN      GPIO2
#define UART_RX_PIN      GPIO3

/* LED */

#define LED_PORT         GPIOA

#define LED_PIN          GPIO10


#endif // PINOUT_H
