#ifndef TEMP_SENSOR_H
#define TEMP_SENSOR_H

#include <stdbool.h>
#include <stdint.h>

#include <fxp.h>

void temp_sensor_init(void);

void temp_sensor_trigger_update(void);
bool temp_sensor_has_new_values(void);

fxp_t temp_sensor_get_ntc_temperature(void);
fxp_t temp_sensor_get_internal_temperature(void);

#endif // TEMP_SENSOR_H
